# template/stages.yml is a template that defines stages that can be used in CI jobs in other projects.
stages:
  - dev
  - production

# Dev pipeline gets run on merge requests
.dev:
  stage: dev
  variables:
    ENV: dev
  rules:
    - if: $CI_COMMIT_REF_PROTECTED == "false" && $CI_PIPELINE_SOURCE == "merge_request_event"

# Production pipeline gets run on the default branch
.production:
  stage: production
  variables:
    ENV: production
  rules:
    - if: $CI_COMMIT_REF_PROTECTED == "true" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
